Bug 182223 - groupinfo does not display conditional packages.
groupinfo does not display conditional packages.
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-02-21 00:38 EST by Tim Mayberry
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-23 11:08:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Mayberry 2006-02-21 00:38:31 EST
Description of problem:

yum groupinfo displays information about which packages are in a package group.
currently it displays the mandatory, default and optional packages but not the
conditional packages.

Version-Release number of selected component (if applicable):


How reproducible:

yum groupinfo groupname

Steps to Reproduce:
1. yum groupinfo 'Danish Support'
Actual results:

no packages listed.

Expected results:

All packages are listed including conditional packages, in this case 'Danish
Support' group contains only conditional packages.

Additional info:

I think all the groups that contain conditional packages are not "uservisible"
so perhaps this is not a problem or desired functionality.
Comment 1 Paul Nasrat 2006-02-23 11:08:48 EST
I've commited this to upstream yum cvs:

Group: Danish Support
 Description: None
 Conditional Packages:

It will be pulled in with some other changes when I update the package.

Note You need to log in before you can comment on or make changes to this bug.